namespace SharpRSS.API.Contracts.Models
{
    public class Result
    {
        public Result(string message = "", ResultStatus status = ResultStatus.Ok)
        {
            Message = message;
            Status = status;
        }

        public bool Success => Status == ResultStatus.Ok;
        public string Message { get; }
        public ResultStatus Status { get; set; }
    }

    public enum ResultStatus
    {
        Ok,
        Failed,
        InternalFail,
        Unknown
    }
}